Subject: Re: [PATCH] WE-21 for bcm43xx (wireless-2.6 git)

From: Larry Finger <[email-masked]>
Date: Thu, 31 Aug 2006 08:22:22 -0500

Michael Buesch wrote:
> On Thursday 31 August 2006 02:57, Larry Finger wrote:
>>
>> +#if WIRELESS_EXT > 20
>> +#define IW_ESSID_FIX	0
>> +#else
>> +#define IW_ESSID_FIX	1
>> +#endif
> 
> Eh, was this useless #if in the original patch I signed-off, too?
> Because I want to revert my sign-off. :)
> This #if is useless, because we always deal with only one single
> WE version in the kernel. #if WIRELESS_EXT will always be true.
> So remove this and also remove the other #if below.
> 

Yes, it was. I saw this, but left it in because I cannot control the inclusion of the other patch
that brings the NET components up to WE-21, and it seemed that the behavior could be wrong if the
kernel were at WE-20. I'm quite certain that the patch will _NOT_ be included in 2.6.18 as it is
clearly not a bug fix. Once I see WE-21 in the kernel, I'll remove these #ifdef's and eliminate
IW_ESSID_FIX.

If I missed something, please let me know, and I'll resubmit the patch now.

John, have you merged, or do you plan to merge, "[PATCH 2.6.18] WE-21 support (core API)" into
wireless-2.6?

Larry